<?php
/*************************


*************************/
/*
 Plugin Name: FL 501c6 Paid Member Registration Extension
 Plugin URI: http://www.fletcherlabs.com
 Description: Adds membership information fields for 501-c-6 organizations.
 Version: 1.4
 Author: Fletcher Labs
 Author URI: http://www.fletcherlabs.com
 Text Domain: registration-extensions-for-pmpro
 */

define('ORGANIZATION_PREFIX',"lsba_");


function regular_membership_info_fields(){
/*
Member Information Fields
They only show up on the Associate membership checkout page
*/
$reg_memb_info = array();		
	pmprorh_add_checkout_box(
		'memb_mailing_address_fields',
		'Regular Member Information'
		);

	//**  FIRST NAME
	$reg_memb_info[] = new PMProRH_Field(
		'first_name',
		'text',
		array(
			'label'=>'First Name',
			'size'=>40,
			'class'=>'fl_user_info',
			//'profile'=>true,
			'required'=>true,
			'levels'=> array(1,3),
			//'value'=>"Enter Your Local Association Here",
		)
		);

	//**  LAST NAME
	$reg_memb_info[] = new PMProRH_Field(
		'last_name',
		'text',
		array(
			'label'=>'Last Name',
			'size'=>40,
			'class'=>'fl_user_info',
			//'profile'=>true,
			'required'=>true,
			'levels'=> array(1,3),
			//'value'=>"Enter Your Local Association Here",
		)
		);
		
	//**  NICKNAME
	$reg_memb_info[] = new PMProRH_Field(
		'nickname',
		'text',
		array(
			'label'=>'Nickname',
			'size'=>40,
			'class'=>'fl_user_info',
			//'profile'=>true,
			'required'=>false,
			'levels'=> array(1,3),
			//'value'=>"Enter Your Local Association Here",
		)
		);


	//**  Phone Number
	$reg_memb_info[] = new PMProRH_Field(
	    ORGANIZATION_PREFIX . 'phone_number',
	    'text',
	    array(
	        'label'=>'Phone Number',
	        'size'=>40,
	        'class'=>'fl_user_info',
	        'profile'=>true,
	        'required'=>true,
	        'levels'=> array(1,3)
	        //'value'=>"Enter Your Local Association Here",
	    )
	    );
	
	//Associate name company field is required and editable by admins and users in the profile page
	$reg_memb_info[] = new PMProRH_Field(
		ORGANIZATION_PREFIX  . "memb_address1",
		"text",
		array(
			"label"=>"Mailing Address Line 1",
			"size"=>40,
			"class"=>"mailing_address",
			"profile"=>true,
			"required"=>true,
		    'levels'=> array(1,3)
			)
	);

	$reg_memb_info[] = new PMProRH_Field(
		ORGANIZATION_PREFIX  . "memb_address2",
		"text",
		array(
			"label"=>"Mailing Address Line 2",
			"size"=>40,
			"class"=>"mailing_address",
			"profile"=>true,
			"required"=>false,
		    'levels'=> array(1,3)
			)
	);

		$reg_memb_info[] = new PMProRH_Field(
		ORGANIZATION_PREFIX  . "memb_city",
		"text",
		array(
			"label"=>"City",
			"size"=>40,
			"class"=>"mailing_address",
			"profile"=>true,
			"required"=>true,
		    'levels'=> array(1,3)
			)
	);
	
	//dropdown, includes a blank option
	$reg_memb_info[] = new PMProRH_Field(
		ORGANIZATION_PREFIX  . "memb_state_dd",
		"select", 
		array(
			"label"=>"State",
			"profile"=>true,
			"required"=>true,
		    'levels'=> array(1,3),
			"options"=>array(
			"" => "",
			"la"=>"LA",
			"ok"=>"OK",
			"tx"=>"TX"
			)
		)
	);
	
		$reg_memb_info[] = new PMProRH_Field(
		ORGANIZATION_PREFIX  . "memb_zipcode",
		"text",
		array(
			"label"=>"Zipcode",
			"size"=>40,
			"class"=>"mailing_address",
			"profile"=>true,
		    'levels'=> array(1,3),
			"required"=>true
			)
	);

		
		
	//add the fields into a new checkout boxes  of the checkout page
	foreach($reg_memb_info as $field)
		pmprorh_add_registration_field(
			'memb_mailing_address_fields',
			//'checkout_boxes',				// location on checkout page
			$field						// PMProRH_Field object
		);
}

function local_association_field(){
    pmprorh_add_checkout_box(
        'localassociation',
        'Are you a member of a local association?',
        'If so, please enter here'
        );
    
    //Local Association if any for regular member
    $pmpro_local_association = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_local_association_name',
        'text',
        array(
            'label'=>'Local Beekeeping Association',
            'size'=>40,
            'class'=>'company',
            'profile'=>true,
            'required'=>false,
            'levels'=> array(1,3),
            'value'=>"Enter Your Local Association Here",
        )
        );
    pmprorh_add_registration_field('localassociation', $pmpro_local_association);
    
}

function member_qualifier_fields() {
    //Qualifying questions checkout box
    pmprorh_add_checkout_box(
        'qualifiers',
        'Trade Interest Information',
        'Check all that apply.'
        );
    
    // Qualifying questions fields
    $qualifiers = array();
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_investment',					// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label' => 'I have a financial investment or interest in honey bee keeping',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_hiveproducts',					// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label' => 'I market or sell products of the Honey Bee such as honey, wax, propolis or api-venim',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_retailer',						// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label' => 'I resale products of the Honey Bee such as honey, wax, propolis or api-venim',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)		)
        );
    
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_sell_bees',							// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label'=>'I market or sell bees in either packages or colony form.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_sell_queens',						// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label' => 'I raise honey bee queens for sell.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_removals',					// input name, will also be used as meta key
        'checkbox',					// type of field
        array(
            'label' => 'I provide hive removal or relocation services.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_hivehost',					// input name, will also be used as meta key
        'checkbox',					// type of field
        array(
            'label' => 'I provide or lease land for the purpose of hosting an apiary.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_landowner',					// input name, will also be used as meta key
        'checkbox',					// type of field
        array(
            'label' => 'I own land that is a candidate for hosting an apiary.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_farmer',					// input name, will also be used as meta key
        'checkbox',					// type of field
        array(
            'label' => 'I cultivate crops benefitted by honey bee pollination.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_equipment',					// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label' => 'I make or sell tools or equipment for raising honey bees such as hive bodies, smokers, hive tools, protective gear, honey or wax processing equipment etc.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_manufacturer',					// input name, will also be used as meta key
        'checkbox',						// type of field
        array(
            'label' => 'I make or sell products that incorporate products of the honey bee such as wax, propolis, honey, etc. into other food products, lotions, cosmetics, medicines, candles, etc.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    $qualifiers[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'qual_lifeexperience',					// input name, will also be used as meta key
        'checkbox',					// type of field
        array(
            'label' => 'I keep bees as a promotional benefit for other business interests such as marketing life style experiences.',
            //'required' => 'true',
            'profile' => 'true',
            'levels' => array(1,3)
        )
        );
    
    //add the fields into a new checkout_boxes are of the checkout page
    foreach($qualifiers as $field)
        pmprorh_add_registration_field(
            'qualifiers',
            //'checkout_boxes',				// location on checkout page
            $field						// PMProRH_Field object
            );
        
}

function associate_member_fields() {
   /* pmprorh_add_checkout_box(
        'associate_memb_info',
        'Associate Membership Information'
        );
    
    //Associate name company field is required and editable by admins and users in the profile page
    $associate = new PMProRH_Field(
        ORGANIZATION_PREFIX . "qual_associate_name",
        "text",
        array(
            "label"=>"Association / Business / Professional Name",
            "size"=>40,
            "class"=>"associate",
            "profile"=>true,
            "required"=>true,
            "levels"=> array(2,3)
        )
        );
    
    pmprorh_add_registration_field("associate_memb_info", $associate); */
      
/*
Associate Memembership Information Fields
They only show up on the Associate membership checkout page
*/
    $memb_info = array();
    pmprorh_add_checkout_box(
        'associate_memb_info',
        'Associate Membership Information',
        '<strong>a description</strong>'
        );

    //Associate name company field is required and editable by admins and users in the profile page
   $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . "qual_associate_name",
        "text",
        array(
            "label"=>"Association / Business / Professional Name",
            "size"=>40,
            "class"=>"fl_user_info",
            "profile"=>true,
            "required"=>true,
            "levels"=> array(2,3)
        )
        );   

    //**  Association contact First Name
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX .'assoc_contact_first_name',
        'text',
        array(
            'label'=>'Contact First Name',
            'size'=>40,
            'class'=>'fl_user_info',
            'profile'=>true,
            'required'=>true,
            "levels"=> array(2,3)
            //'value'=>"Enter Your Local Association Here",
        )
        );
    
    
    //**  Association contact Last Name
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX .'assoc_contact_last_name',
        'text',
        array(
            'label'=>'Contact Last Name',
            'size'=>40,
            'class'=>'fl_user_info',
            'profile'=>true,
       		"levels"=> array(2,3),
            'required'=>true,
            //'value'=>"Enter Your Local Association Here",
        )
        );
    
    //**  Phone Number
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX . 'assoc_contact_phone_number',
        'text',
        array(
            'label'=>'Contact Phone Number',
            'size'=>40,
            'class'=>'fl_user_info',
            'profile'=>true,
            'required'=>true,
            'levels'=> array(2,3)
            //'value'=>"Enter Your Local Association Here",
        )
        );
    
    //Associate name company field is required and editable by admins and users in the profile page
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "assoc_contact_address1",
        "text",
        array(
            "label"=>"Contact Mailing Address Line 1",
            "size"=>40,
            "class"=>"mailing_address",
            "profile"=>true,
            "required"=>true,
            'levels'=> array(2,3)
            
        )
        );
    
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "assoc_contact_address2",
        "text",
        array(
            "label"=>"Contact Mailing Address Line 2",
            "size"=>40,
            "class"=>"mailing_address",
            "profile"=>true,
            "required"=>false,
            'levels'=> array(2,3)
        )
        );
    
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "assoc_contact_city",
        "text",
        array(
            "label"=>"City",
            "size"=>40,
            "class"=>"mailing_address",
            "profile"=>true,
            "required"=>true,
            'levels'=> array(2,3)
        )
        );
    
    //dropdown, includes a blank option
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "assoc_contact_state",
        "select",
        array(
            "label"=>"State",
            "profile"=>true,
            "required"=>true,
            "options"=>array(
                "" => "",
                "LA"=>"LA",
                "OK"=>"OK",
                "TX"=>"TX"
            ),
            'levels'=> array(2,3)
        )
        );
    
    $memb_info[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "assoc_contact_zipcode",
        "text",
        array(
            "label"=>"Zipcode",
            "size"=>40,
            "class"=>"mailing_address",
            "profile"=>true,
            "required"=>true,
            'levels'=> array(2,3)
        )
        );
    
    
    
    //add the fields into a new checkout boxes  of the checkout page
    foreach($memb_info as $field)
        pmprorh_add_registration_field(
            'associate_memb_info',
            //'checkout_boxes',				// location on checkout page
            $field						// PMProRH_Field object
            );
    
  
        
//Associate Membership Application        
        pmprorh_add_checkout_box(
            'associate_memb_application',
            'Associate Membership Application',
            '<strong>Please tell us a bit about your organization</strong></br>
            <strong>This organization...</strong> (Select all that apply)</br>'
            );

        $qualifiers = array();
        
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_local_association',					// input name, will also be used as meta key
            'checkbox',					// type of field
            array(
                'label' => 'is a beekeeper organization or association.',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_hiveproducts',					// input name, will also be used as meta key
            'checkbox',						// type of field
            array(
                'label' => 'is a business that markets products of the Honey Bee such as honey, wax, propolis or api-venim',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_retailer',						// input name, will also be used as meta key
            'checkbox',						// type of field
            array(
                'label' => 'is a business that resales products of the Honey Bee such as honey, wax, propolis or api-venim',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)		)
            );
        
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_sell_bees',							// input name, will also be used as meta key
            'checkbox',						// type of field
            array(
                'label'=>'is a business that markets or sells bees in either packages or colony form.',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_sell_queens',						// input name, will also be used as meta key
            'checkbox',						// type of field
            array(
                'label' => 'is business that raises honey bee queens for sell.',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_removals',					// input name, will also be used as meta key
            'checkbox',					// type of field
            array(
                'label' => 'is a hive removal or relocation services as a business.',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        
        
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_equipment',					// input name, will also be used as meta key
            'checkbox',						// type of field
            array(
                'label' => ' is a manufacture of beekeeping tools, equipment, woodenware etc. ',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        $qualifiers[] = new PMProRH_Field(
            ORGANIZATION_PREFIX . 'assoc_qual_manufacturer',					// input name, will also be used as meta key
            'checkbox',						// type of field
            array(
                'label' => 'makes or sells products that incorporate products of the honey bee such as wax, propolis, honey, etc. into other food products, lotions, cosmetics, medicines, candles, etc.',
                //'required' => 'true',
                'profile' => 'true',
                'levels' => array(2,3)
            )
            );
        
        //add the fields into a new checkout_boxes are of the checkout page
        foreach($qualifiers as $field)
            pmprorh_add_registration_field(
                'associate_memb_application',
                //'checkout_boxes',				// location on checkout page
                $field						// PMProRH_Field object
                );
            
            
        
        $associate_memb_application = array();
        
        $associate_memb_application[] = new PMProRH_Field(
            ORGANIZATION_PREFIX  . "assoc_contact_description",
            "textarea",
            array(
                "label"=>  "Write a brief description of your organization is and does.",
                "rows"=>2,
                'cols'=>10,
                "class"=>"mailing_address",
                "profile"=>true,
                "required"=>true,
                //'value'=>"Enter things such as, Honey Producer,Your Local Association Here",
                'levels'=> array(2,3)
            )
            );

        $associate_memb_application[] = new PMProRH_Field(
            ORGANIZATION_PREFIX  . "assoc_contact_application",
            "textarea",
            array(
                "label"=>  "Write a brief explanation about how your organization will support both
                            the honey bee beekeeping industry and LSBA.",
                "rows"=>10,
                'cols'=>10,
                "class"=>"mailing_address",
                "profile"=>false,
                "required"=>true,
                //'value'=>"Enter Your Local Association Here",
                'levels'=> array(2,3)
            )
            );
        
        foreach($associate_memb_application as $field)
            pmprorh_add_registration_field(
                'associate_memb_application',
                //'checkout_boxes',				// location on checkout page
                $field						// PMProRH_Field object
                );
        
        /*      pmprorh_add_registration_field(
                'associate_memb_application',
                $associate_memb_application
                );
        */            
            
            
}

function family_name_fields() {
    
    $family_name_tags = array();
    pmprorh_add_checkout_box(
        ORGANIZATION_PREFIX . 'family_name_tags',
        'Extra Family Name Tags',
        'If so, please enter here'
        );
    
    
    $family_name_tags[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "memb_family_member_1",
        "text",
        array(
            "label"=>"Family Member 1",
            "size"=>40,
            "class"=>"mailing_address",
            'levels'=> array(1,3),
            "profile"=>true,
            "required"=>false
        )
        );
    
    $family_name_tags[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "memb_family_member_2",
        "text",
        array(
            "label"=>"Family Member 2",
            "size"=>40,
            "class"=>"mailing_address",
            'levels'=> array(1,3),
            "profile"=>true,
            "required"=>false
        )
        );
    
    $family_name_tags[] = new PMProRH_Field(
        ORGANIZATION_PREFIX  . "memb_family_member_3",
        "text",
        array(
            "label"=>"Family Member 3",
            "size"=>40,
            "class"=>"mailing_address",
            'levels'=> array(1,3),
            "profile"=>true,
            "required"=>false
        )
        );
    
    //add the fields into the extra name tage checkout boxes  of the checkout page
    foreach($family_name_tags as $field)
        pmprorh_add_registration_field(
            ORGANIZATION_PREFIX . "family_name_tags",
            //'checkout_boxes',				// location on checkout page
            $field						// PMProRH_Field object
            );
        
}